List statements
curl --request GET \
--url https://api.paywise.de/v1/statements/ \
--header 'Authorization: Bearer <token>'{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"href": "https://api.paywise.de/v1/statements/b12e4567-e89b-12d3-a456-426614174000/",
"id": "b12e4567-e89b-12d3-a456-426614174000",
"clearing_no": "AB123456789",
"invoice_no": "PW2023-12345",
"total_balance": {
"value": "500.00",
"currency": "EUR"
},
"balance_pre_outstanding_items_offsetting": {
"value": "500.00",
"currency": "EUR"
},
"offset_outstanding_items": {
"value": "0.00",
"currency": "EUR"
},
"overview_vat_specific": [
{
"vat_rate": "19.00",
"claims_from_payments_to_dca": {
"taxfree_expenses_claims": {
"value": "0.00",
"currency": "EUR"
},
"taxable_expenses_claims": {
"value": "0.00",
"currency": "EUR"
},
"taxable_expenses_vat_claims": {
"value": "0.00",
"currency": "EUR"
},
"fee_claims": {
"value": "52.92",
"currency": "EUR"
},
"fee_vat_claims": {
"value": "10.05",
"currency": "EUR"
},
"success_commission_claims": {
"value": "2.85",
"currency": "EUR"
},
"success_commission_vat_claims": {
"value": "0.54",
"currency": "EUR"
}
},
"claims_from_payments_to_client": {
"taxfree_expenses_claims": {
"value": "0.00",
"currency": "EUR"
},
"taxable_expenses_claims": {
"value": "0.00",
"currency": "EUR"
},
"taxable_expenses_vat_claims": {
"value": "0.00",
"currency": "EUR"
},
"fee_claims": {
"value": "0.00",
"currency": "EUR"
},
"fee_vat_claims": {
"value": "0.00",
"currency": "EUR"
},
"success_commission_claims": {
"value": "4.17",
"currency": "EUR"
},
"success_commission_vat_claims": {
"value": "0.79",
"currency": "EUR"
}
},
"claims_from_advanced_costs": {
"taxfree_expenses_claims": {
"value": "0.00",
"currency": "EUR"
},
"taxable_expenses_claims": {
"value": "15.00",
"currency": "EUR"
},
"taxable_expenses_vat_claims": {
"value": "2.85",
"currency": "EUR"
},
"fee_claims": {
"value": "0.00",
"currency": "EUR"
},
"fee_vat_claims": {
"value": "0.00",
"currency": "EUR"
},
"taxfree_litigation_expenses_claims": {
"value": "0.00",
"currency": "EUR"
},
"taxable_litigation_expenses_claims": {
"value": "0.00",
"currency": "EUR"
},
"taxable_litigation_expenses_vat_claims": {
"value": "0.00",
"currency": "EUR"
}
},
"vat": {
"value": "14.23",
"currency": "EUR"
},
"invoice_amount": {
"value": "74.90",
"currency": "EUR"
},
"invoice_amount_vat": {
"value": "14.23",
"currency": "EUR"
},
"payout": {
"value": "437.92",
"currency": "EUR"
}
}
],
"mandate_count": 1,
"mandate_details_href": "https://api.paywise.de/v1/statements/b12e4567-e89b-12d3-a456-426614174000/mandate-details/",
"booking_date": "2023-07-15",
"period_start": "2023-06-01",
"period_end": "2023-06-30",
"canceled": false,
"comment": "Monthly statement for debt collection services",
"downloads": [
{
"id": "6f664961-d182-578a-9bc4-5bf1a2e4d54c",
"type": "full_pdf",
"filename": "statement_AB123456789.pdf",
"mime_type": "application/pdf",
"file_size": 89234,
"download_url": "https://api.paywise.de/v1/statements/b12e4567-e89b-12d3-a456-426614174000/download/full-pdf/"
},
{
"id": "208d9d42-20d9-5e39-81d9-82391db4f3c5",
"type": "third_party_money_xlsx",
"filename": "third_party_money_AB123456789.xlsx",
"mime_type": "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
"file_size": 45123,
"download_url": "https://api.paywise.de/v1/statements/b12e4567-e89b-12d3-a456-426614174000/download/third-party-money-xlsx/"
},
{
"id": "b02a6f08-d3e7-5a4b-b906-6263c045bcfb",
"type": "cost_burden_xlsx",
"filename": "cost_burden_AB123456789.xlsx",
"mime_type": "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
"file_size": 32456,
"download_url": "https://api.paywise.de/v1/statements/b12e4567-e89b-12d3-a456-426614174000/download/cost-burden-xlsx/"
},
{
"id": "a7e536ed-6f3f-5a6a-a0fc-f3a60dda08d4",
"type": "closing_xlsx",
"filename": "closing_AB123456789.xlsx",
"mime_type": "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
"file_size": 28789,
"download_url": "https://api.paywise.de/v1/statements/b12e4567-e89b-12d3-a456-426614174000/download/closing-xlsx/"
}
],
"created": "2023-07-15T10:23:45.678901Z"
}
]
}Statements
List statements
List and filter your statements.
Important: The field mandate_details is not rendered in list view for performance reasons.
- To access the mandate details of a statement, use the separate list mandate details endpoint.
GET
/
v1
/
statements
/
List statements
curl --request GET \
--url https://api.paywise.de/v1/statements/ \
--header 'Authorization: Bearer <token>'{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"href": "https://api.paywise.de/v1/statements/b12e4567-e89b-12d3-a456-426614174000/",
"id": "b12e4567-e89b-12d3-a456-426614174000",
"clearing_no": "AB123456789",
"invoice_no": "PW2023-12345",
"total_balance": {
"value": "500.00",
"currency": "EUR"
},
"balance_pre_outstanding_items_offsetting": {
"value": "500.00",
"currency": "EUR"
},
"offset_outstanding_items": {
"value": "0.00",
"currency": "EUR"
},
"overview_vat_specific": [
{
"vat_rate": "19.00",
"claims_from_payments_to_dca": {
"taxfree_expenses_claims": {
"value": "0.00",
"currency": "EUR"
},
"taxable_expenses_claims": {
"value": "0.00",
"currency": "EUR"
},
"taxable_expenses_vat_claims": {
"value": "0.00",
"currency": "EUR"
},
"fee_claims": {
"value": "52.92",
"currency": "EUR"
},
"fee_vat_claims": {
"value": "10.05",
"currency": "EUR"
},
"success_commission_claims": {
"value": "2.85",
"currency": "EUR"
},
"success_commission_vat_claims": {
"value": "0.54",
"currency": "EUR"
}
},
"claims_from_payments_to_client": {
"taxfree_expenses_claims": {
"value": "0.00",
"currency": "EUR"
},
"taxable_expenses_claims": {
"value": "0.00",
"currency": "EUR"
},
"taxable_expenses_vat_claims": {
"value": "0.00",
"currency": "EUR"
},
"fee_claims": {
"value": "0.00",
"currency": "EUR"
},
"fee_vat_claims": {
"value": "0.00",
"currency": "EUR"
},
"success_commission_claims": {
"value": "4.17",
"currency": "EUR"
},
"success_commission_vat_claims": {
"value": "0.79",
"currency": "EUR"
}
},
"claims_from_advanced_costs": {
"taxfree_expenses_claims": {
"value": "0.00",
"currency": "EUR"
},
"taxable_expenses_claims": {
"value": "15.00",
"currency": "EUR"
},
"taxable_expenses_vat_claims": {
"value": "2.85",
"currency": "EUR"
},
"fee_claims": {
"value": "0.00",
"currency": "EUR"
},
"fee_vat_claims": {
"value": "0.00",
"currency": "EUR"
},
"taxfree_litigation_expenses_claims": {
"value": "0.00",
"currency": "EUR"
},
"taxable_litigation_expenses_claims": {
"value": "0.00",
"currency": "EUR"
},
"taxable_litigation_expenses_vat_claims": {
"value": "0.00",
"currency": "EUR"
}
},
"vat": {
"value": "14.23",
"currency": "EUR"
},
"invoice_amount": {
"value": "74.90",
"currency": "EUR"
},
"invoice_amount_vat": {
"value": "14.23",
"currency": "EUR"
},
"payout": {
"value": "437.92",
"currency": "EUR"
}
}
],
"mandate_count": 1,
"mandate_details_href": "https://api.paywise.de/v1/statements/b12e4567-e89b-12d3-a456-426614174000/mandate-details/",
"booking_date": "2023-07-15",
"period_start": "2023-06-01",
"period_end": "2023-06-30",
"canceled": false,
"comment": "Monthly statement for debt collection services",
"downloads": [
{
"id": "6f664961-d182-578a-9bc4-5bf1a2e4d54c",
"type": "full_pdf",
"filename": "statement_AB123456789.pdf",
"mime_type": "application/pdf",
"file_size": 89234,
"download_url": "https://api.paywise.de/v1/statements/b12e4567-e89b-12d3-a456-426614174000/download/full-pdf/"
},
{
"id": "208d9d42-20d9-5e39-81d9-82391db4f3c5",
"type": "third_party_money_xlsx",
"filename": "third_party_money_AB123456789.xlsx",
"mime_type": "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
"file_size": 45123,
"download_url": "https://api.paywise.de/v1/statements/b12e4567-e89b-12d3-a456-426614174000/download/third-party-money-xlsx/"
},
{
"id": "b02a6f08-d3e7-5a4b-b906-6263c045bcfb",
"type": "cost_burden_xlsx",
"filename": "cost_burden_AB123456789.xlsx",
"mime_type": "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
"file_size": 32456,
"download_url": "https://api.paywise.de/v1/statements/b12e4567-e89b-12d3-a456-426614174000/download/cost-burden-xlsx/"
},
{
"id": "a7e536ed-6f3f-5a6a-a0fc-f3a60dda08d4",
"type": "closing_xlsx",
"filename": "closing_AB123456789.xlsx",
"mime_type": "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
"file_size": 28789,
"download_url": "https://api.paywise.de/v1/statements/b12e4567-e89b-12d3-a456-426614174000/download/closing-xlsx/"
}
],
"created": "2023-07-15T10:23:45.678901Z"
}
]
}Authorizations
tokenAuthtokenAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by the booking date of the statement
Filter by the clearing number of the statement
Filter by the UUID of the statement
Filter by the invoice number of the statement
Number of results to return per page.
Filter by the reference number of a mandate included in the statement
The initial index from which to return the results.
Filter by the period end date of the statement
Filter by the period start date of the statement
⌘I
